ASTQueryTranslatorFactory (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.hql.internal.ast
Class ASTQueryTranslatorFactory

    java.lang.Object
      org.hibernate.hql.internal.ast.ASTQueryTranslatorFactory

All Implemented Interfaces:
  QueryTranslatorFactory

    public class ASTQueryTranslatorFactory

extends Object
implements QueryTranslatorFactory

Generates translators which uses the Antlr-based parser to perform the translation.

Constructor Summary
`ASTQueryTranslatorFactory()`

Method Summary
`FilterTranslator` | `createFilterTranslator(String queryIdentifier, String queryString, Map filters, SessionFactoryImplementor factory)` Construct a `FilterTranslator` instance capable of translating an HQL filter string.
`QueryTranslator` | `createQueryTranslator(String queryIdentifier, String queryString, Map filters, SessionFactoryImplementor factory)` Construct a `QueryTranslator` instance capable of translating an HQL query string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ASTQueryTranslatorFactory

    public ASTQueryTranslatorFactory()

Method Detail

### createQueryTranslator

    public QueryTranslator createQueryTranslator(String queryIdentifier,
                                                 String queryString,
                                                 Map filters,
                                                 SessionFactoryImplementor factory)

  Description copied from interface: `QueryTranslatorFactory`
  Construct a `QueryTranslator` instance capable of translating an HQL query string.

  Specified by:
    `createQueryTranslator` in interface `QueryTranslatorFactory`
  Parameters:
    `queryIdentifier` - The query-identifier (used in `QueryStatistics` collection). This is typically the same as the queryString parameter except for the case of split polymorphic queries which result in multiple physical sql queries.
    `queryString` - The query string to be translated
    `filters` - Currently enabled filters
    `factory` - The session factory.
  Returns:
    an appropriate translator.
  See Also:
    `QueryTranslatorFactory.createQueryTranslator(java.lang.String, java.lang.String, java.util.Map, org.hibernate.engine.spi.SessionFactoryImplementor)`

### createFilterTranslator

    public FilterTranslator createFilterTranslator(String queryIdentifier,
                                                   String queryString,
                                                   Map filters,
                                                   SessionFactoryImplementor factory)

  Description copied from interface: `QueryTranslatorFactory`
  Construct a `FilterTranslator` instance capable of translating an HQL filter string.

  Specified by:
    `createFilterTranslator` in interface `QueryTranslatorFactory`
  See Also:
    `QueryTranslatorFactory.createFilterTranslator(java.lang.String, java.lang.String, java.util.Map, org.hibernate.engine.spi.SessionFactoryImplementor)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.